Add an event to a subscription

This endpoint allows you to add events to subscriptions and to define which company id(s) or bank account(s) you would like to receive notifications for.

Learn More


Supported events

Here is a list of the events that you can subscribe to:

Payment event types

You can refer to the Payment lifecycle for additional context on how payments change from one status to another.

EventDescriptionEnumSupported Targets
IncomingPaymentProcessedOne of your accounts is successfully funded (this also includes internal credit transfers)1Account (0)
Company (1)
OutgoingPaymentRejectedOne of your outgoing payments is rejected. The status of the payment is now Rejected2Account (0)
Company (1)
OutgoingPaymentProcessedOne of your outgoing payments is successfully processed (this also includes internal debit transfers). The status of the payment is now Processed3Account (0)
Company (1)
MissingFundingOne of your outgoing payments cannot be executed due to insufficient balance. The payment will be automatically executed when there are sufficient funds, or rejected after 2 business days. The status of the payment is now MissingFunding4Account (0)
Company (1)
ReversedOne of your outgoing payments is reversed. The status of the payment is now Reversed5Account (0)
Company (1)
OutgoingPaymentBookedOne of your outgoing payments is successfully booked on your account.6Account (0)
Company (1)
PaymentRoutingOne of your outgoing payment is routed via other payment scheme. More details will be available in 'routingStatus' field.7Account (0)
Company (1)
IncomingPaymentBookedOne of your incoming payments is successfully booked on your account8Account (0)
Company (1)
OutgoingDirectDebitPendingProcessingOne of your accounts has an outgoing payment initiated by a third party (e.g. through Bacs or SEPA Direct Debit) that is pending processing.10Account (0)
Company (1)
PaymentStatusOccurs when a status or sub-status update is triggered on a payment instruction13Account (0)
Company (1)

Other event types

EventDescriptionEnumSupported Targets
AccountHolderVerificationThe response to an Account Verification Request. More information in Account Holder Verification.9CompanyGroup (2)
CaseEventsA case was created or updated.11Company (1)
AgencyBankingWhitelistResultThe result of a request to whitelist an account for Agency Banking payment processing.12Company (1)


📘

You need to create a new subscription before you can add any events

You can set up several events for each subscription. If you want to receive a notification for all five events, you must add each event separately to the subscription.

You can set up subscription events on company id(s) level (thereby receiving notifications for all bank accounts belonging to such company id(s)), or on bank account level (thereby only receiving notifications for the specified bank accounts).

Use GET/api/v1/accounts to obtain the Company id guid(s) that maps to the ownedByCompanyId field and the bank account guid(s) that maps to the accountId field. These guid(s) needs to be populated to the targetId parameter in this endpoint.

📘

A subscription event cannot be set up with a combination of companies and bank accounts

You cannot subscribe to the same event under the same subscription. You also can’t edit the subscribed event or targetIds of an existing subscription event. If you wish to change the events and/or targetIds, you must delete the event and add a new event to the subscription with the desired parameters.

Note, your endpoint should return a 2xx HTTP status code to acknowledge the receipt of a webhook. If we don’t receive a 2xx from you, we’ll consider it as a failed delivery, and we will retry sending the notification. After the tenth unsuccessful retry, we will stop sending notifications and deactivate the subscription.

Body Params
uuid
required

Id of subscription to attach event to

targetIds
array of uuids | null

Account id, company id, or company group id

targetIds
string
enum
required

The type of event that will trigger the subscription.

1 = IncomingPaymentProcessed
2 = OutgoingPaymentRejected
3 = OutgoingPaymentProcessed
4 = MissingFunding
5 = Reversed
6 = OutgoingPaymentBooked
7 = PaymentRouting
8 = IncomingPaymentBooked
9 = AccountHolderVerification
10 = OutgoingDirectDebitPendingProcessing
11 = CaseEvents
12 = AgencyBankingWhitelistResult
13 = PaymentStatus

int32
enum
required

Type of target

0 = Account
1 = Company
2 = CompanyGroup

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Internal Server Error. Something unexpected happened on BC Connect side.

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
text/plain
application/json
text/json